Loading...
Searching...
No Matches
Opm::EQUIL::Miscibility::RsSatAtContact< FluidSystem > Class Template Reference

Class that implements "dissolved gas-oil ratio" (Rs) as function of depth and pressure as follows: More...

`#include <EquilibrationHelpers.hpp>`

Inheritance diagram for Opm::EQUIL::Miscibility::RsSatAtContact< FluidSystem >:

## Public Member Functions

| RsSatAtContact (const int pvtRegionIdx, const Scalar pContact, const Scalar T_contact)
| Constructor.
Scalar | operator() (const Scalar depth, const Scalar press, const Scalar temp, const Scalar satGas=0.0) const override
| Function call.
Public Member Functions inherited from Opm::EQUIL::Miscibility::RsFunction< FluidSystem::Scalar >
virtual Scalar | operator() (const Scalar depth, const Scalar press, const Scalar temp, const Scalar sat=0.0) const=0
| Function call operator.

## Detailed Description

template<class FluidSystem>
class Opm::EQUIL::Miscibility::RsSatAtContact< FluidSystem >

Class that implements "dissolved gas-oil ratio" (Rs) as function of depth and pressure as follows:

1. The Rs at the gas-oil contact is equal to the saturated Rs value, RsSatContact.
2. The Rs elsewhere is equal to RsSatContact, but constrained to the saturated value as given by the local pressure.

This should yield Rs-values that are constant below the contact, and decreasing above the contact.

## Constructor & Destructor Documentation

## RsSatAtContact()

template<class FluidSystem>

Opm::EQUIL::Miscibility::RsSatAtContact< FluidSystem >::RsSatAtContact | ( | const int | pvtRegionIdx,
|  | const Scalar | pContact,
|  | const Scalar | T_contact )

Constructor.

Parameters

  [in] | pvtRegionIdx | The pvt region index
  [in] | pContact | oil pressure at the contact
  [in] | T_contact | temperature at the contact

## Member Function Documentation

## operator()()

template<class FluidSystem>

RsSatAtContact< FluidSystem >::Scalar Opm::EQUIL::Miscibility::RsSatAtContact< FluidSystem >::operator() | ( | const Scalar | depth,
|  | const Scalar | press,
|  | const Scalar | temp,
|  | const Scalar | satGas = 0.0 ) const

override

Function call.

Parameters

  [in] | depth | Depth at which to calculate RS value.
  [in] | press | Pressure at which to calculate RS value.
  [in] | temp | Temperature at which to calculate RS value.
  [in] | satGas | Gas saturation at which to calculate RS value.

Returns
  Dissolved gas-oil ratio (RS) at depth `depth` and pressure `press`.

The documentation for this class was generated from the following files:

- opm/simulators/flow/equil/EquilibrationHelpers.hpp
- opm/simulators/flow/equil/EquilibrationHelpers_impl.hpp